# mailcow-dockerized installation auf "nacktem" debian

## Voraussetzungen
- debian-server
- DNS-Eintrag für den Server (fqdn.deines.servers)
- irgendein Rechner mit ansible (oder ansible auf dem debianserver selbst, dann ist er nicht "nackt")

Falls der Server nicht aus dem Internet erreichbar ist, wird die Zertifikatsgenerierung fehlschlagen.
In dem Fall muss man dann halt nacharbeiten.

## Quick-Start

```
~# git clone https://git.az-it.net/az/ansible-docker-mailcow.git

~# cd ansible-docker-mailcow

~# ansible-playbook install-mailcow.yml -i fqdn.deines.servers,   # das Komma ist wichtig!
...
...
```
ca 8min später ist der Server mit docker-ce, zsh, mailcow online...

todo: Für Sicherheit sorgen: firewall, updateplan, backup,...


## Woher kommt der Code?
- die mailcow-Rolle ist direkt von DerLinkman (mailcow): https://github.com/mailcow/mailcow-ansiblerole
- die Oh-My-ZSH-Rolle ist von hier: https://www.lorenzobettini.it/2023/07/my-ansible-role-for-oh-my-zsh-and-other-cli-programs/
- die Docker-Install Rolle ist einfach die Übersetzung der Anweisungen aus der Docker-Doku (https://docs.docker.com/engine/install/debian/) in ein Playbook.



